cascading.tuple.hadoop.util

## Class TypedTupleElementStreamComparator

- java.lang.Object
- - cascading.tuple.hadoop.util.TypedTupleElementStreamComparator

All Implemented Interfaces:
  StreamComparator<cascading.tuple.hadoop.io.HadoopTupleInputStream>, Comparator<Object>

    public class TypedTupleElementStreamComparator
    extends Object
    implements StreamComparator<cascading.tuple.hadoop.io.HadoopTupleInputStream>, Comparator<Object>

### Constructor Summary

Constructors
Constructor and Description
`TypedTupleElementStreamComparator(Class type, StreamComparator comparator)`

### Method Summary

Methods
`int` `compare(cascading.tuple.hadoop.io.HadoopTupleInputStream lhsStream, cascading.tuple.hadoop.io.HadoopTupleInputStream rhsStream)`
`int` `compare(Object lhs, Object rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### TypedTupleElementStreamComparator

    public TypedTupleElementStreamComparator(Class type,
                                     StreamComparator comparator)

### Method Detail

#### compare

    public int compare(Object lhs,
              Object rhs)

Specified by:
  `compare` in interface `Comparator<Object>`

#### compare

    public int compare(cascading.tuple.hadoop.io.HadoopTupleInputStream lhsStream,
              cascading.tuple.hadoop.io.HadoopTupleInputStream rhsStream)

Specified by:
  `compare` in interface `StreamComparator<cascading.tuple.hadoop.io.HadoopTupleInputStream>`